BlockECReconstructionCommand (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.protocol, class: BlockECReconstructionCommand

Package org.apache.hadoop.hdfs.server.protocol

# Class BlockECReconstructionCommand

java.lang.Object
org.apache.hadoop.hdfs.server.protocol.ServerCommand
org.apache.hadoop.hdfs.server.protocol.DatanodeCommand
org.apache.hadoop.hdfs.server.protocol.BlockECReconstructionCommand

@Private @Evolving public class BlockECReconstructionCommand extends DatanodeCommand
A BlockECReconstructionCommand is an instruction to a DataNode to reconstruct a striped block group with missing blocks. Upon receiving this command, the DataNode pulls data from other DataNodes hosting blocks in this group and reconstructs the lost blocks through codec calculation. After the reconstruction, the DataNode pushes the reconstructed blocks to their final destinations if necessary (e.g., the destination is different from the reconstruction node, or multiple blocks in a group are to be reconstructed).

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `BlockECReconstructionCommand.BlockECReconstructionInfo`
  Block and targets pair

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BlockECReconstructionCommand(int action, Collection<BlockECReconstructionCommand.BlockECReconstructionInfo> blockECReconstructionInfoList)`
  Create BlockECReconstructionCommand from a collection of `BlockECReconstructionCommand.BlockECReconstructionInfo`, each representing a reconstruction task

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Collection<BlockECReconstructionCommand.BlockECReconstructionInfo>`
  `getECTasks()`
  `String`
  `toString()`

  ### Methods inherited from class org.apache.hadoop.hdfs.server.protocol.ServerCommand

  `getAction`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BlockECReconstructionCommand

    public BlockECReconstructionCommand(int action, Collection<BlockECReconstructionCommand.BlockECReconstructionInfo> blockECReconstructionInfoList)
    Create BlockECReconstructionCommand from a collection of `BlockECReconstructionCommand.BlockECReconstructionInfo`, each representing a reconstruction task

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `ServerCommand`

  - ### getECTasks

    public Collection<BlockECReconstructionCommand.BlockECReconstructionInfo> getECTasks()